Brand
Extract one product from a product page URL
POST
/brand/ai/productAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url*string
Product page URL to scrape and extract
directUrl?boolean
Marks the URL as an exact marketplace/product URL; extraction uses the same scrape path
Response Body
application/json
curl -X POST "https://example.com/brand/ai/product" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com/products/widget" }'{ "success": true, "data": { "status": "ok", "code": 200, "product": { "name": "Example Widget", "price": 49, "currency": "USD", "images": [ "https://example.com/widget.png" ], "description": "A useful widget.", "sku": "WIDGET-1", "availability": "in stock", "url": "https://example.com/products/widget" }, "source": { "url": "https://example.com/products/widget", "title": "Example Widget" }, "key_metadata": { "credits_consumed": 10, "credits_remaining": 4990 } }}Empty
Empty
Empty